> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axiom.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get proof status

> Retrieve the current status and details of a proof job.



## OpenAPI

````yaml GET /v1/proofs/{proof_id}
openapi: 3.1.0
info:
  title: Axiom Proving API
  description: |-
    ## Axiom Cloud Proving API

        The Axiom Proving API allows you to compile, execute, and prove OpenVM programs on Axiom's cloud infrastructure.

        All endpoints require an API key passed in the `Axiom-API-Key` header.
        
  version: 1.0.0
servers:
  - url: https://api.axiom.xyz
    description: Production API
  - url: https://api.staging.app.axiom.xyz
    description: Staging API
security: []
paths:
  /v1/proofs/{proof_id}:
    get:
      tags:
        - proofs
      summary: Get Proof Status
      description: Retrieve the current status and details of a proof job.
      operationId: get_proof_v1_proofs__proof_id__get
      parameters:
        - name: proof_id
          in: path
          required: true
          schema:
            type: string
            title: Proof Id
      responses:
        '200':
          description: Proof details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeProofResponse'
        '404':
          description: Proof not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FeProofResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          $ref: '#/components/schemas/ProvingJobState'
        proof_type:
          $ref: '#/components/schemas/ProofType'
        program_uuid:
          type: string
          title: Program Uuid
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message if the proof failed
          examples:
            - ''
        launched_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Launched At
        terminated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Terminated At
        created_by:
          type: string
          title: Created By
        cells_used:
          type: integer
          title: Cells Used
        cost:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cost
        machine_type:
          type: string
          title: Machine Type
        proof_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Proof Size
          description: Proof size in bytes
        num_instructions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Instructions
          description: Number of instructions executed
      type: object
      required:
        - id
        - created_at
        - state
        - proof_type
        - program_uuid
        - launched_at
        - terminated_at
        - created_by
        - cells_used
        - cost
        - machine_type
      title: FeProofResponse
      description: User-facing proof response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProvingJobState:
      type: string
      enum:
        - Queued
        - Executing
        - Executed
        - AppProving
        - AppProvingDone
        - PostProcessing
        - Failed
        - Succeeded
      title: ProvingJobState
    ProofType:
      type: string
      enum:
        - app
        - stark
        - evm
      title: ProofType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Axiom-API-Key

````